> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/access-and-security/sharinpix-security-token.md).

# SharinPix security token

The SharinPix security token represents an essential element for using SharinPix.

* [Structure of SharinPix Parameters](#structure-of-sharinpix-parameters)
* [Using the SharinPix security token](/documentation/access-and-security/sharinpix-security-token.md)

## Structure of SharinPix Parameters

{% hint style="success" %}
**Note**: To see the effect of each **SharinPix Ability** on the album, please refer to the following article: [SharinPix abilities](/documentation/access-and-security/sharinpix-abilities.md)
{% endhint %}

The code snippet below demonstrates the structure of the SharinPix Parameters as implemented in an Apex Controller.

```apex
public class SharinPixActionDemoCtrl {
    public String parameters {get; set; }
    
    public SharinPixActionDemoCtrl(ApexPages.StandardController controller ) {
        Id accId = controller.getId();
        
        Map<String, Object> params = new Map<String, Object> {
            'exp' => 1000,
            'abilities' => new Map<String, Object> {
                accId => new Map<String, Object> {
                    'Access' => new Map<String, Object> {
                        'see' => true,
                        'image_list' => true,
                        'image_upload' => true,
                        'image_tag' => true,
                        'image_delete' => true
                    },
                    'Tags' => new Map<String, Object> {
                        'car' => new Map<String, String> {
                            'en' => 'car',
                            'fr' => 'voiture'
                        }        
                    },
                    'Action' => new List<String> {
                    	'Add to description'        
                    }
                }
            } 
        };
        parameters = JSON.serialize(params);
    }
    
}
```

* The keys that make up the **params** Map structure are explained below.

### SharinPix Abilities (abilities)

* **SharinPix Abilities** , to put in simpler terms, are designations that have the possibility to expand or restrict the features enabled on the SharinPix Album.

```apex
'abilities' => new Map<String, Object> {
    accId => new Map<String, Object> {
        'Access' => new Map<String, Object> {
            'see' => true,
            'image_list' => true,
            'image_upload' => true,
            'image_tag' => true,
            'image_delete' => true
        },
        'Tags' => new Map<String, Object> {
            'car' => new Map<String, String> {
                'en' => 'car',
                'fr' => 'voiture'
            }        
        },
        'Action' => new List<String> {
        	'Add to description'        
        }
    }
} 
```

### SharinPix Access (access)

* The **Access key**  represents the rights to specific SharinPix features.

```apex
'Access' => new Map<String, Object> {
    'see' => true,
    'image_list' => true,
    'image_upload' => true,
    'image_tag' => true,
    'image_delete' => true
},
```

### SharinPix Tags (Tags)

* **Tags** - Labels along with their corresponding translations in english(en) and in french(fr).

```apex
'Tags' => new Map<String, Object> {
    'car' => new Map<String, String> {
        'en' => 'car',
        'fr' => 'voiture'
    }        
},
```

### SharinPix Actions (Action)

The **Action** key accepts a **SharinPix Action** as value.

```apex
'Action' => new List<String> {
    	'Add to description'        
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/access-and-security/sharinpix-security-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
